<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sckw.fleet.dao.KwfDriverQualificationMapper">

    <select id="findByDriverId" resultType="com.sckw.fleet.model.KwfDriverQualification" parameterType="java.lang.Long" >
        SELECT
            id, driver_id driverId, quali_no qualiNo, type, expire_time expireTime, grant_unit grantUnit,
            certificate_main certificateMain, certificate_revolt certificateRevolt, remark, status, create_by createBy,
            create_time createTime, update_by updateBy, update_time updateTime
        from kwf_driver_qualification
        where del_flag = 0 and driver_id = #{driverId, jdbcType=BIGINT}
    </select>

</mapper>
